#***********************************************************************
#                                                                      *
# Program name: SAMPMQDX.MAK                                           *
#                                                                      *
# Description:  MAKE file for the Dialer Exit sample DLL.              *
#                                                                      *
# Statement:     Licensed Materials - Property of IBM                  *
#                                                                      *
#                5622-960 (C) Copyright IBM Corp. 1996                 *
#                                                                      *
#                U.S. Government Users Restricted Rights - use,        *
#                duplication or disclosure restricted by GSA ADP       *
#                Schedule Contract with IBM Corp.                      *
#                                                                      *
#***********************************************************************
.SUFFIXES:
.SUFFIXES: .obj .c

CC = cl
CFLAGS = /nologo /W3 /ALu /FR /G2 /Zi /Od /c
LFLAGS = /PM:PM /NOLOGO /NOD /NOE /CO /ALIGN:16 /ONERROR:NOEXE /MAP:FULL
HEADERS = sampmqdx.h
#OUTDIR  =  ..\..\ \

#-----------------------------------------------------------------------
# Output file
#-----------------------------------------------------------------------
all: $(OUTDIR)sampmqdx.dll

#-----------------------------------------------------------------------
#  sampmqdx.c - sample source code
#-----------------------------------------------------------------------
sampmqdx.obj: sampmqdx.c $(HEADERS)
  $(CC) $(CFLAGS) sampmqdx.c

#-----------------------------------------------------------------------
# sampmqdx.rc - sample resource file (e.g. version information)
#-----------------------------------------------------------------------
sampmqdx.res: sampmqdx.rc $(HEADERS)
  rc /nologo -r sampmqdx.rc

#-----------------------------------------------------------------------
#  sampmqdx.dll generation
#-----------------------------------------------------------------------
sampmqdx.dll: sampmqdx.obj \
              sampmqdx.res \
              sampmqdx.def
  link $(LFLAGS) @<<
sampmqdx.obj
$(OUTDIR)sampmqdx.dll
sampmqdx.map
LIBW.LIB     +
LDLLCEW.LIB
sampmqdx.def;
<<
  rc /nologo -t sampmqdx.res $(OUTDIR)sampmqdx.dll
