#***********************************************************************
#                                                                      *
# Program name: MQWSEC.MAK                                             *
#                                                                      *
# Description:  MAKE file for the sample security exit                 *
#                                                                      *
# Statement:     Licensed Materials - Property of IBM                  *
#                                                                      *
#                5622-960 (C) Copyright IBM Corp. 1996                 *
#                                                                      *
#                U.S. Government Users Restricted Rights - use,        *
#                duplication or disclosure restricted by GSA ADP       *
#                Schedule Contract with IBM Corp.                      *
#                                                                      *
#***********************************************************************
.SUFFIXES:
.SUFFIXES: .obj .c

CC = cl
CFLAGS = /nologo /W3 /ALu /FR /G2 /Zi /Od /c
LFLAGS = /PM:PM /NOLOGO /NOD /NOE /CO /ALIGN:16 /ONERROR:NOEXE /MAP:FULL
HEADERS = mqwsec.h
#OUTDIR  =  ..\..\ \

#-----------------------------------------------------------------------
# Output file
#-----------------------------------------------------------------------
all: $(OUTDIR)mqwsec.dll

#-----------------------------------------------------------------------
#  mqwsec.c - sample source code
#-----------------------------------------------------------------------
mqwsec.obj: mqwsec.c $(HEADERS)
  $(CC) $(CFLAGS) mqwsec.c


#-----------------------------------------------------------------------
#  mqwsec.dll generation
#-----------------------------------------------------------------------
mqwsec.dll: mqwsec.obj \
              mqwsec.def
  link $(LFLAGS) @<<
mqwsec.obj
$(OUTDIR)mqwsec.dll
mqwsec.map
LIBW.LIB     +
LDLLCEW.LIB
mqwsec.def;
<<
