//******************************************************************
//
// Program name: TESTDLEX.H
//
// Description:  Header file for the Windows 16 BIT RAS Dialer
//               Extension testdlex.exe
//
// Statement:     Licensed Materials - Property of IBM
//
//                5622-960 (C) Copyright IBM Corp. 1996
//
//                U.S. Government Users Restricted Rights - use,
//                duplication or disclosure restricted by GSA ADP
//                Schedule Contract with IBM Corp.
//
//******************************************************************
// Dialog controls, menu IDs, and string IDs used by TESTDLEX.RC
//
#define IDM_START                 100
#define IDM_STATUS                101
#define IDM_STOP                  102
#define IDM_EXIT                  103
#define IDC_SAMPICON              104
#define IDC_DANCER                105

// global variables

HANDLE vhInstance;                              //  instance handle
HICON  vhiconAppl;                              // application icon

// Windows entry point

int PASCAL WinMain( HANDLE hInstance, HANDLE hPrevInstance,
                    LPSTR lpszCmdLine, int nCmdShow );

BOOL __export CALLBACK TESTDLEXDlgProc( HWND hdlg, UINT message,
                                        WPARAM wParam, LPARAM lParam );
